Bug 659727

Summary: Anaconda (kickstart) fails if computer clock is wrong and gives misleading error message
Product: [Fedora] Fedora Reporter: Jeremy Sanders <jeremy>
Component: anacondaAssignee: Anaconda Maintenance Team <anaconda-maint-list>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 14CC: anaconda-maint-list, jonathan, vanmeeuwen+fedora
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-08-16 13:02:39 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Jeremy Sanders 2010-12-03 10:13:09 EST
Description of problem:
When installing Fedora 14 over the network using kickstart, if the computer clock is significantly incorrect, anaconda fails claiming that repodata.xml cannot be downloaded from the repository. I suspect this problem is triggered if the date on repo file is newer than the current date in the computer's clock. I'm not sure whether this problem occurs when not using kickstart.

The error message is extremely misleading - I spent hours trying to work out why none of the mirrors I chose worked. It was only when examining the bios when I release that the bios date had been reset. As you often want to reinstall a computer after repairing it, this seems a likely problem.

Possible solutions
 - Ignore invalid date on computer when installing
 - Produce an informative error message under these conditions (optionally with an option for anaconda fix clock with ntpdate)
 - Always use ntpdate when starting an install to make sure computer's clock is correct, or add this as a kickstart option

Version-Release number of selected component (if applicable):
F14 install anaconda

How reproducible:
Every time

Steps to Reproduce:
1. Change computer clock to invalid date (e.g. 2008)
2. Try to install over network (at least using kickstart)
  
Actual results:
Error saying repodata cannot be downloaded from mirror.


Expected results:
Install to work, or an error message saying the clock is wrong.
Comment 1 Jesse Keating 2012-07-19 19:08:25 EDT
Does this still happen with F17?  Can you grab some logs of the failure?
Comment 2 Fedora End Of Life 2012-08-16 13:02:41 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping